## kubernetes-addon-heapster 1.2.0+dfsg

=== Makefile ===
all: build

TAG = v1.2.0
PREFIX = gcr.io/google_containers
FLAGS = 

SUPPORTED_KUBE_VERSIONS = "1.3.6"
TEST_NAMESPACE = heapster-e2e-tests

deps:
	which godep || go get github.com/tools/godep

build: clean deps
	GOOS=linux GOARCH=amd64 CGO_ENABLED=0 godep go build -o heapster k8s.io/heapster/metrics
	GOOS=linux GOARCH=amd64 CGO_ENABLED=0 godep go build -o eventer k8s.io/heapster/events

sanitize:
	hooks/check_boilerplate.sh
	hooks/check_gofmt.sh
	hooks/run_vet.sh

test-unit: clean deps sanitize build
	GOOS=linux GOARCH=amd64 godep go test --test.short -race ./... $(FLAGS)

test-unit-cov: clean deps sanitize build
	hooks/coverage.sh

test-integration: clean deps build
	godep go test -v --timeout=60m ./integration/... --vmodule=*=2 $(FLAGS) --namespace=$(TEST_NAMESPACE) --kube_versions=$(SUPPORTED_KUBE_VERSIONS)

container: build
	cp heapster deploy/docker/heapster
	cp eventer deploy/docker/eventer
	docker build -t $(PREFIX)/heapster:$(TAG) deploy/docker/

grafana:
	docker build -t $(PREFIX)/heapster_grafana:$(TAG) grafana/

influxdb:
	docker build -t $(PREFIX)/heapster_influxdb:$(TAG) influxdb/

clean:
	rm -f heapster
	rm -f eventer
	rm -f deploy/docker/heapster
	rm -f deploy/docker/eventer

.PHONY: all deps build sanitize test-unit test-unit-cov test-integration container grafana influxdb clean

=== vendor/github.com/bigdatadev/goryman/Makefile ===
all:    install

install:
	go install
	go install ./proto

test:
	go test

clean:
	go clean ./...

nuke:
	go clean -i ./...

regenerate:
	make -C proto regenerate

=== debian/changelog ===
kubernetes-addon-heapster (1.2.0+dfsg-1) unstable; urgency=medium

  * Initial release. (Closes: #857320)

 -- Tim Potter <tpot@hpe.com>  Thu, 23 Mar 2017 15:22:05 +1100

=== debian/control ===
Source: kubernetes-addon-heapster
Section: devel
Priority: extra
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Tim Potter <tpot@hpe.com>
Build-Depends: debhelper (>= 9),
               dh-exec,
               dh-golang,
               golang-github-beorn7-perks-dev,
               golang-github-blang-semver-dev,
               golang-github-bluebreezecf-opentsdb-goclient-dev,
               golang-github-coreos-go-oidc-dev,
               golang-github-coreos-go-systemd-dev,
               golang-github-coreos-pkg-dev,
               golang-github-davecgh-go-spew-dev,
               golang-github-docker-distribution-dev,
               golang-github-emicklei-go-restful-dev,
               golang-github-ghodss-yaml-dev,
               golang-github-gogo-protobuf-dev,
               golang-github-golang-snappy-dev,
               golang-github-google-cadvisor-dev,
               golang-github-google-gofuzz-dev,
               golang-github-hawkular-hawkular-client-go-dev,
               golang-github-imdario-mergo-dev,
               golang-github-influxdb-influxdb-dev,
               golang-github-jonboulle-clockwork-dev,
               golang-github-juju-ratelimit-dev,
               golang-github-mitchellh-mapstructure-dev,
               golang-github-optiopay-kafka-dev,
               golang-github-pborman-uuid-dev,
               golang-github-pmezard-go-difflib-dev,
               golang-github-prometheus-client-golang-dev,
               golang-github-prometheus-client-model-dev,
               golang-github-prometheus-common-dev,
               golang-github-rackspace-gophercloud-dev,
               golang-github-smartystreets-go-aws-auth-dev,
               golang-github-spf13-pflag-dev,
               golang-github-stretchr-objx-dev,
               golang-github-stretchr-testify-dev,
               golang-github-ugorji-go-codec-dev,
               golang-glog-dev,
               golang-go,
               golang-golang-x-net-dev,
               golang-golang-x-oauth2-google-dev,
               golang-google-api-dev,
               golang-google-cloud-compute-metadata-dev,
               golang-gopkg-olivere-elastic.v3-dev,
               golang-gopkg-yaml.v2-dev,
               golang-goprotobuf-dev,
               golang-procfs-dev,
               golang-protobuf-extensions-dev,
               golang-speter-go-exp-math-dec-inf-dev
Standards-Version: 3.9.8
Homepage: https://github.com/kubernetes/heapster
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/kubernetes-addon-heapster.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/kubernetes-addon-heapster.git
XS-Go-Import-Path: k8s.io/heapster

Package: kubernetes-addon-heapster
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Resource usage analysis and monitoring addon for Kubernetes
 The Kubernetes Heapster addon is an addon for computing resource
 usage analysis and monitoring of container clusters.  Heapster
 collects and interprest various signals like comput resource usage,
 lifecycle events, etc, and exports cluster metrics via REST
 endpoints.
 .
 This package contains the binaries.
 
Package: golang-github-kubernetes-heapster-dev
Architecture: all
Depends: ${misc:Depends}
Description: Resource usage analysis and monitoring addon for Kubernetes
 The Kubernetes Heapster addon is an addon for computing resource
 usage analysis and monitoring of container clusters.  Heapster
 collects and interprest various signals like comput resource usage,
 lifecycle events, etc, and exports cluster metrics via REST
 endpoints.
 .
 This package contains the development files.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

override_dh_clean:
	dh_clean
	# Remove Files-Excluded (when built from checkout or non-DFSG tarball):
	$(RM) -rv `perl -0nE 'say $$1 if m{^Files\-Excluded\:\s*(.*?)(?:\n\n|Files:|Comment:)}sm;' debian/copyright`

override_dh_auto_test:
#	-dh_auto_test

override_dh_auto_install:
	dh_auto_install --destdir=debian/tmp

PKD  = $(abspath $(dir $(MAKEFILE_LIST)))
PKG  = $(word 2,$(shell dpkg-parsechangelog -l$(PKD)/changelog --show-field=Source))
VER ?= $(shell dpkg-parsechangelog -l$(PKD)/changelog | perl -ne 'print $$1 if m{^Version:\s+(?:\d+:)?(\d.*)(?:\-\d+.*)};')

.PHONY: get-orig-source
## http://wiki.debian.org/onlyjob/get-orig-source
get-orig-source:  $(info I: $(PKG)_$(VER))
	@echo "# Downloading..."
	uscan --noconf --verbose --rename --destdir=$(CURDIR) --check-dirname-level=0 --force-download --download-version $(VER) $(PKD)

=== debian/watch ===
version=3

opts=\
repacksuffix=+dfsg,\
dversionmangle=s{\+dfsg\d*}{},\
 https://github.com/kubernetes/heapster/releases \
 .*/archive/v?(\d[-\d\.]+)\.tar\.gz
